package com.fuyuanshen.modules.system.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 设备表单
 * @Author: WY
 * @Date: 2025/5/17
 **/
@Data
public class DeviceForm {

    @ApiModelProperty(value = "ID", hidden = true)
    private Long id;

    @ApiModelProperty(value = "设备类型")
    private Long deviceType;

    @ApiModelProperty(value = "客户号")
    private Long customerId;

    /*@ApiModelProperty(value = "设备编号")
    private String deviceNo;*/

    @NotBlank(message = "设备名称不能为空")
    @ApiModelProperty(value = "设备名称", required = true)
    private String deviceName;

    @ApiModelProperty(value = "设备图片存储路径", hidden = true)
    private String devicePic;

    // @NotBlank(message = "设备MAC不能为空")
    @ApiModelProperty(value = "设备MAC")
    private String deviceMac;

    @ApiModelProperty(value = "设备IMEI")
    private String deviceImei;

    // @NotBlank(message = "设备SN不能为空")
    @ApiModelProperty(value = "设备SN", required = true)
    private String deviceSn;

    @ApiModelProperty(value = "设备图片")
    private MultipartFile file;

    @ApiModelProperty(value = "备注")
    private String remark;

}
